export class Iframe {
    constructor() {
        this.path = 'index.html';
        this.loaded = false;
        this.iframeUrl = '';
        this.queryParams = '';
    }
    componentWillLoad() {
        let router = document.getElementsByTagName('ema-router')[0];
        router.getState().then((routerState) => {
        });
    }
    componentDidLoad() {
        this.loaded = true;
    }
    render() {
        console.log(this);
        if (!this.loaded) {
            return (h("div", null,
                h("ema-iframe", { src: this.iframeUrl + this.path, fullscreen: true, "fullscreen-margin": "0,0,57px,0" })));
        }
    }
    static get is() { return "ema-app-iframe"; }
    static get properties() { return {
        "iframeUrl": {
            "type": String,
            "attr": "iframe-url"
        },
        "queryParams": {
            "type": String,
            "attr": "query-params"
        }
    }; }
}
